/**
  *  \file server/prop.h
  *  \brief Game Properties
  */
#ifndef C2SERVER_SERVER_PROP_H
#define C2SERVER_SERVER_PROP_H

#include "cpluslib/string.h"

class Stream;
class JsonWriter;

void loadProperties(Stream& file);
void setProperty(string_t name, string_t value);
void writeProperties(JsonWriter& out);
void clearProperties();

extern const struct ModuleInitializer mod_prop[];


#endif
